.all-insights{
    margin-top: 150px;
}

.insight-section-one{
    margin-top: 80px;
}
.insight-rect{
    margin-top: -400px;
    width: 70%;
    margin-left: 190px;
}

.insight-section-one-heading{
    font-size: 75px;
    padding-top: 50px;
    width: 54%;
}

/* blog one */

.blog-one-post{
    padding-left: 0px;
    padding-right: 0px;
}

.blog-post-img{
    margin-top: -80px;
}
.blog-main-content{
    position: absolute;
    top: 200px;
    margin-left: 150px;
}
.blog-main-heading{
    font-size: 90px;
    color: #fff;
}
.blog-paragraph{
    color: #fff;
    font-size: 20px;
}

.blog-share{
    margin-top: 240px;
}
.blog-share-five{
    margin-top: 240px;
}
.blog-share-six{
    margin-top: 30px !important;
}
.blog-share-link{
    color: #fff;
}
.blog-share-link a{
    color: #fff;
}
.blog-share-link a:hover{
    text-decoration: none;
}

.blog-content{
    margin-top: 100px;
}

.blog-share-dark{
    margin-top: 100px;
}
.blog-share-link-dark{
    color: #000;
}
.blog-share-link-dark a{
    color: #000;
}
.blog-share-link-dark a:hover{
    text-decoration: none;
}


/* related post */

.related-post{
    background-color: #FAFAFA;
    margin-top: 100px;
}
.related-post-container{
    padding: 140px 0px;
}
.blog-img-container{
    overflow: hidden;
}
.blog-one-img{
        transition: transform 2s, filter 1.5s ease-in-out;
        transform-origin: center center;
}
.blog-one-img:hover{
  transform: scale(1.3);
}
.blog-link{
    color: #000;
}
.blog-link:hover{
    text-decoration: none;
    color: #000;
}
.blog-detail{
    margin-top: 20px;
}
.blog-detail p {
    font-size: 19px;
}
.blog-explain-content{
    font-size: 19px;
    margin-top: 20px;
}

.post-next{
    width: 43px;
    border-bottom: 2px solid black;
}
.slider-controls{
    display: flex;
    justify-content: space-between;
    margin-top: 100px;
}

.post-prev{
    width: 43px;
    margin-left: 0px;
    border-bottom: 2px solid black;
}
.btn-prev:hover{
    text-decoration: none;
}
.btn-next:hover{
    text-decoration: none;
}
.scroll-up{
    right: 0px;
    float: right;
    border: none;
    border-radius: 100%;
    padding: 10px;
    position: absolute;
    bottom: 30px;
    outline: none;
    opacity: 0.4;
}
.scroll-up:focus{
    outline: none;
}
.scroll-up img{
    width: 40px;
}

@media(max-width: 1440px) {
        .blog-share-six {
            margin-top: 80px;
    }
}

@media(max-width: 1024px){
    .insight-rect{
        margin-top: -325px;
    }
    .insight-section-one-heading {
        font-size: 55px;
        padding-top: 30px;
        width: 54%;
    }
    .blog-main-content{
        position: static;
        top: 0px;
        margin-left: auto;
        margin-top: -390px;
    }
    .blog-main-heading{
        font-size: 65px;
    }
    .blog-share {
    margin-top: 140px;
}
    .blog-share-six {
    margin-top: 130px;
}
}
@media(max-width: 768px){
    .insight-section-one{
        margin-top: 100px;
    }
    .insight-rect{
        margin-top: -265px;
    }
    .insight-section-one-heading{
        font-size: 45px;
        padding-top: 0px;
    }
    .blog-content{
        margin-top: 80px;
    }
    .blog-share{
        margin-top: 80px;
    }
    .blog-share-six{
        margin-top: 60px;
    }
    .blog-main-content{
        margin-top: -310px;
    }
    .blog-main-heading{
        font-size: 55px;
    }
    .scroll-up{
        bottom: 70px;
    }
    
}
@media(max-width: 767px){
    .insight-section-one{
        margin-top: 50px;
    }
    .insight-section-one-heading{
        width: 100%;
    }
    .blog-share-six {
    margin-top: 120px;
    }
    .hide-section{
        display: none;
    }
}
@media(max-width: 425px){
    .full-page-fixed{
        position: fixed;
    }
    .insight-section-one{
        margin-top: 30px;
    }
    .blog-main-content{
        margin-top: -130px;
    }
    .blog-main-heading{
        font-size: 35px;
    }
    .blog-six-list{
        margin-left: 30px;
    }
    .blog-share, .blog-share-five, .blog-share-six{
        display: none;
    }
    .blog-content {
        margin-top: 90px;
    }
    .blog-share-six {
        margin-top: 10px;
    }
    .scroll-up{
        bottom: 110px;
    }
}
@media(max-width: 375px){
    .blog-post-img{
        margin-top: -110px;
    }
    .blog-main-content{
        margin-top: -90px;
    }
    .blog-main-heading{
        font-size: 27px;
    }
}
@media(max-width: 320px){
    .lets-talk-blog{
        margin-top: 10px;
    }
    .blog-post-img{
        margin-top: -117px;
        height: 270px;
    }
    .blog-main-content{
        margin-top: -125px;
    }
}